%%%---------------------------------------
%%% module      : data_cloud_buy
%%% description : 众仙云购
%%%
%%%---------------------------------------
-module(data_cloud_buy).
-compile(export_all).
-include("cloud_buy.hrl").



get(1) ->
    #cloud_award_config{id = 1,reward_type = 2,rewards = [{1,[{0,1107010653,1}]},{2,[{0,1107020653,1}]},{4,[{0,1107040653,1}]}],resouce_id = [{1,5110101},{2,5010102},{4,5110104}],total_count = 200,cost = [{0, 38180005,1}],award_count = 1,happy_awards = [{1,1},{3,2},{5,3},{10,4},{10,5},{10,6},{10,7},{40,8},{40,9},{40,10},{40,11},{40,12},{40,13},{40,14}]};

get(2) ->
    #cloud_award_config{id = 2,reward_type = 2,rewards = [{1,[{0,1103000653 ,1}]},{2,[{0,1103000653 ,1}]},{4,[{0,1103000653 ,1}]}],resouce_id = [{1,5070101},{2,5070101},{4,5070101}],total_count = 200,cost = [{0, 38180005,1}],award_count = 1,happy_awards = [{1,15},{3,16},{5,17},{10,18},{10,19},{10,20},{10,21},{40,22},{40,23},{40,24},{40,25},{40,26},{40,27},{40,28}]};

get(3) ->
    #cloud_award_config{id = 3,reward_type = 2,rewards = [{1,[{0,1105000653,1}]},{2,[{0,1105000653,1}]},{4,[{0,1105000653,1}]}],resouce_id = [{1,5090101},{2,5090101},{4,5090101}],total_count = 200,cost = [{0, 38180005,1}],award_count = 1,happy_awards = [{1,29},{3,30},{5,31},{10,32},{10,33},{10,34},{10,35},{40,36},{40,37},{40,38},{40,39},{40,40},{40,41},{40,42}]};

get(4) ->
    #cloud_award_config{id = 4,reward_type = 2,rewards = [{1,[{0,1109000653,1}]},{2,[{0,1109000653,1}]},{4,[{0,1109000653,1}]}],resouce_id = [{1,5080101},{2,5080101},{4,5080101}],total_count = 200,cost = [{0, 38180005,1}],award_count = 1,happy_awards = [{1,43},{3,44},{5,45},{10,46},{10,47},{10,48},{10,49},{40,50},{40,51},{40,52},{40,53},{40,54},{40,55},{40,56}]};

get(_Id) ->
    [].

get_big_award_ids() ->
    [1,2,3,4].

get_cloud_buy_reward_con(1) ->
    #cloud_buy_reward_con{reward_id = 1,reward_type = 2,reward_list = [{1,[{0,1107010643,1}]},{2,[{0,1107020643,1}]},{4,[{0,1107040643,1}]}]};

get_cloud_buy_reward_con(2) ->
    #cloud_buy_reward_con{reward_id = 2,reward_type = 2,reward_list = [{1,[{0,1107010642,1}]},{2,[{0,1107020642,1}]},{4,[{0,1107040642,1}]}]};

get_cloud_buy_reward_con(3) ->
    #cloud_buy_reward_con{reward_id = 3,reward_type = 2,reward_list = [{1,[{0,1107010542,1}]},{2,[{0,1107020542,1}]},{4,[{0,1107040542,1}]}]};

get_cloud_buy_reward_con(4) ->
    #cloud_buy_reward_con{reward_id = 4,reward_type = 1,reward_list = [{0,14020203,1}]};

get_cloud_buy_reward_con(5) ->
    #cloud_buy_reward_con{reward_id = 5,reward_type = 1,reward_list = [{0,14010103,1}]};

get_cloud_buy_reward_con(6) ->
    #cloud_buy_reward_con{reward_id = 6,reward_type = 1,reward_list = [{0,14010303,1}]};

get_cloud_buy_reward_con(7) ->
    #cloud_buy_reward_con{reward_id = 7,reward_type = 1,reward_list = [{0,14020403,1}]};

get_cloud_buy_reward_con(8) ->
    #cloud_buy_reward_con{reward_id = 8,reward_type = 1,reward_list = [{0,17020001,4}]};

get_cloud_buy_reward_con(9) ->
    #cloud_buy_reward_con{reward_id = 9,reward_type = 1,reward_list = [{0,24020001,2}]};

get_cloud_buy_reward_con(10) ->
    #cloud_buy_reward_con{reward_id = 10,reward_type = 1,reward_list = [{0,16020001,2}]};

get_cloud_buy_reward_con(11) ->
    #cloud_buy_reward_con{reward_id = 11,reward_type = 1,reward_list = [{0,18020001,4}]};

get_cloud_buy_reward_con(12) ->
    #cloud_buy_reward_con{reward_id = 12,reward_type = 1,reward_list = [{0,17010001,60}]};

get_cloud_buy_reward_con(13) ->
    #cloud_buy_reward_con{reward_id = 13,reward_type = 1,reward_list = [{0,15020101,2}]};

get_cloud_buy_reward_con(14) ->
    #cloud_buy_reward_con{reward_id = 14,reward_type = 1,reward_list = [{0,15020201,2}]};

get_cloud_buy_reward_con(15) ->
    #cloud_buy_reward_con{reward_id = 15,reward_type = 1,reward_list = [{0,1103000643,1}]};

get_cloud_buy_reward_con(16) ->
    #cloud_buy_reward_con{reward_id = 16,reward_type = 1,reward_list = [{0,1103000642,1}]};

get_cloud_buy_reward_con(17) ->
    #cloud_buy_reward_con{reward_id = 17,reward_type = 1,reward_list = [{0,1103000542,1}]};

get_cloud_buy_reward_con(18) ->
    #cloud_buy_reward_con{reward_id = 18,reward_type = 1,reward_list = [{0,14020203,1}]};

get_cloud_buy_reward_con(19) ->
    #cloud_buy_reward_con{reward_id = 19,reward_type = 1,reward_list = [{0,14010103,1}]};

get_cloud_buy_reward_con(20) ->
    #cloud_buy_reward_con{reward_id = 20,reward_type = 1,reward_list = [{0,14010303,1}]};

get_cloud_buy_reward_con(21) ->
    #cloud_buy_reward_con{reward_id = 21,reward_type = 1,reward_list = [{0,14020403,1}]};

get_cloud_buy_reward_con(22) ->
    #cloud_buy_reward_con{reward_id = 22,reward_type = 1,reward_list = [{0,17020001,4}]};

get_cloud_buy_reward_con(23) ->
    #cloud_buy_reward_con{reward_id = 23,reward_type = 1,reward_list = [{0,24020001,2}]};

get_cloud_buy_reward_con(24) ->
    #cloud_buy_reward_con{reward_id = 24,reward_type = 1,reward_list = [{0,16020001,2}]};

get_cloud_buy_reward_con(25) ->
    #cloud_buy_reward_con{reward_id = 25,reward_type = 1,reward_list = [{0,18020001,4}]};

get_cloud_buy_reward_con(26) ->
    #cloud_buy_reward_con{reward_id = 26,reward_type = 1,reward_list = [{0,17010001,60}]};

get_cloud_buy_reward_con(27) ->
    #cloud_buy_reward_con{reward_id = 27,reward_type = 1,reward_list = [{0,15020101,2}]};

get_cloud_buy_reward_con(28) ->
    #cloud_buy_reward_con{reward_id = 28,reward_type = 1,reward_list = [{0,15020201,2}]};

get_cloud_buy_reward_con(29) ->
    #cloud_buy_reward_con{reward_id = 29,reward_type = 1,reward_list = [{0,1105000643,1}]};

get_cloud_buy_reward_con(30) ->
    #cloud_buy_reward_con{reward_id = 30,reward_type = 1,reward_list = [{0,1105000642,1}]};

get_cloud_buy_reward_con(31) ->
    #cloud_buy_reward_con{reward_id = 31,reward_type = 1,reward_list = [{0,1105000542,1}]};

get_cloud_buy_reward_con(32) ->
    #cloud_buy_reward_con{reward_id = 32,reward_type = 1,reward_list = [{0,14020203,1}]};

get_cloud_buy_reward_con(33) ->
    #cloud_buy_reward_con{reward_id = 33,reward_type = 1,reward_list = [{0,14010103,1}]};

get_cloud_buy_reward_con(34) ->
    #cloud_buy_reward_con{reward_id = 34,reward_type = 1,reward_list = [{0,14010303,1}]};

get_cloud_buy_reward_con(35) ->
    #cloud_buy_reward_con{reward_id = 35,reward_type = 1,reward_list = [{0,14020403,1}]};

get_cloud_buy_reward_con(36) ->
    #cloud_buy_reward_con{reward_id = 36,reward_type = 1,reward_list = [{0,17020001,4}]};

get_cloud_buy_reward_con(37) ->
    #cloud_buy_reward_con{reward_id = 37,reward_type = 1,reward_list = [{0,24020001,2}]};

get_cloud_buy_reward_con(38) ->
    #cloud_buy_reward_con{reward_id = 38,reward_type = 1,reward_list = [{0,16020001,2}]};

get_cloud_buy_reward_con(39) ->
    #cloud_buy_reward_con{reward_id = 39,reward_type = 1,reward_list = [{0,18020001,4}]};

get_cloud_buy_reward_con(40) ->
    #cloud_buy_reward_con{reward_id = 40,reward_type = 1,reward_list = [{0,17010001,60}]};

get_cloud_buy_reward_con(41) ->
    #cloud_buy_reward_con{reward_id = 41,reward_type = 1,reward_list = [{0,15020101,2}]};

get_cloud_buy_reward_con(42) ->
    #cloud_buy_reward_con{reward_id = 42,reward_type = 1,reward_list = [{0,15020201,2}]};

get_cloud_buy_reward_con(43) ->
    #cloud_buy_reward_con{reward_id = 43,reward_type = 1,reward_list = [{0,1109000643,1}]};

get_cloud_buy_reward_con(44) ->
    #cloud_buy_reward_con{reward_id = 44,reward_type = 1,reward_list = [{0,1109000642,1}]};

get_cloud_buy_reward_con(45) ->
    #cloud_buy_reward_con{reward_id = 45,reward_type = 1,reward_list = [{0,1109000542,1}]};

get_cloud_buy_reward_con(46) ->
    #cloud_buy_reward_con{reward_id = 46,reward_type = 1,reward_list = [{0,14020203,1}]};

get_cloud_buy_reward_con(47) ->
    #cloud_buy_reward_con{reward_id = 47,reward_type = 1,reward_list = [{0,14010103,1}]};

get_cloud_buy_reward_con(48) ->
    #cloud_buy_reward_con{reward_id = 48,reward_type = 1,reward_list = [{0,14010303,1}]};

get_cloud_buy_reward_con(49) ->
    #cloud_buy_reward_con{reward_id = 49,reward_type = 1,reward_list = [{0,14020403,1}]};

get_cloud_buy_reward_con(50) ->
    #cloud_buy_reward_con{reward_id = 50,reward_type = 1,reward_list = [{0,17020001,4}]};

get_cloud_buy_reward_con(51) ->
    #cloud_buy_reward_con{reward_id = 51,reward_type = 1,reward_list = [{0,24020001,2}]};

get_cloud_buy_reward_con(52) ->
    #cloud_buy_reward_con{reward_id = 52,reward_type = 1,reward_list = [{0,16020001,2}]};

get_cloud_buy_reward_con(53) ->
    #cloud_buy_reward_con{reward_id = 53,reward_type = 1,reward_list = [{0,18020001,4}]};

get_cloud_buy_reward_con(54) ->
    #cloud_buy_reward_con{reward_id = 54,reward_type = 1,reward_list = [{0,17010001,60}]};

get_cloud_buy_reward_con(55) ->
    #cloud_buy_reward_con{reward_id = 55,reward_type = 1,reward_list = [{0,15020101,2}]};

get_cloud_buy_reward_con(56) ->
    #cloud_buy_reward_con{reward_id = 56,reward_type = 1,reward_list = [{0,15020201,2}]};

get_cloud_buy_reward_con(_Rewardid) ->
    [].

